Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 195990 - Stabilization of gnustep-base/gnustep-*
Summary: Stabilization of gnustep-base/gnustep-*
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gnustep herd
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: 188185
  Show dependency tree
 
Reported: 2007-10-15 21:54 UTC by Bernard Cafarelli
Modified: 2007-12-06 12:16 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Cafarelli gentoo-dev 2007-10-15 21:54:31 UTC
New gnustep packages have been in the tree for more than a month now, and fix a lot of things compared to current stable packages.

Moreover, gnustep-libs/pdfkit is scheduled for removal (and currently p.masked), because of security bug #188185. gnustep-libs/popplerkit replaces it, but needs stable keywording (at least on x86) to match pdfkit keywords

So please test and mark stable the following packages (and dependencies):

(gnustep base packages)
* gnustep-base/gnustep-make-2.0.1
* gnustep-base/gnustep-base-1.14.0
* gnustep-base/gnustep-gui-0.12.0
* gnustep-base/gnustep-back-art-0.12.0
* gnustep-base/gnustep-back-xlib-0.12.0
* virtual/gnustep-back-0.12.0

(security, to replace pdfkit)
* gnustep-libs/popplerkit-0.2 (and gnustep-apps/vindaloo-0.2-r1)

(have stable versions depending on old gnustep-base)
* gnustep-libs/renaissance-0.8.1_pre20070522
* gnustep-libs/smbkit-0.0.1.20061010
* gnustep-apps/aclock-0.2.3-r1
* gnustep-apps/addresses-0.4.7
* gnustep-apps/affiche-0.6.0-r3
* gnustep-apps/clipbook-0.6.0.8.3-r1
* gnustep-apps/gwnet-0.1.0.8.2
* gnustep-apps/gworkspace-0.8.6
* gnustep-apps/systempreferences-1.0.1_p24791

Thanks
Comment 1 Christian Faulhammer (RETIRED) gentoo-dev 2007-10-16 07:23:55 UTC
package gnustep-libs/renaissance-0.8.1_pre20070522 NOT merged

Detected file collision(s):

     '/usr/GNUstep/System/Library/Documentation/index.html'

Searching all installed packages for file collisions...
Press Ctrl-C to Stop

 * gnustep-base/gnustep-base-1.14.0:

     '/usr/GNUstep/System/Library/Documentation/index.html'
Comment 2 Bernard Cafarelli gentoo-dev 2007-10-17 13:42:08 UTC
Documentation installed in the root GNUStep documentation directory... nice! Should be fixed now
Comment 3 Christian Faulhammer (RETIRED) gentoo-dev 2007-10-17 18:21:52 UTC
x86 stable
Comment 4 nixnut (RETIRED) gentoo-dev 2007-10-27 16:40:23 UTC
ppc stable
Comment 5 Bernard Cafarelli gentoo-dev 2007-11-08 23:59:13 UTC
All gnustep-base packages keyworded ~ARCH can also go stable now on other arches (so we can finally have a stable gnustep with new eclasses everywhere). 

For amd64, the list is the same as before

For sparc, please mark and test stable the base packages:
* gnustep-base/gnustep-make-2.0.1
* gnustep-base/gnustep-base-1.14.0
* gnustep-base/gnustep-gui-0.12.0
* gnustep-base/gnustep-back-art-0.12.0
* gnustep-base/gnustep-back-xlib-0.12.0
* virtual/gnustep-back-0.12.0

ppc64, there is only gnustep-base/gnustep-make-2.0.1

Also re-adding x86, gnustep-base/gnustep-back-xlib-0.12.0 was forgotten in the process
Comment 6 Christian Faulhammer (RETIRED) gentoo-dev 2007-11-10 12:59:29 UTC
x86 done for missing lib
Comment 7 Markus Rothe (RETIRED) gentoo-dev 2007-11-13 18:20:37 UTC
ppc64 done
Comment 8 Steve Dibb (RETIRED) gentoo-dev 2007-11-16 15:48:37 UTC
I'm getting some weird errors on the last one:


>>> Completed installing gworkspace-0.8.6 into /var/tmp/portage/gnustep-apps/gworkspace-0.8.6/image/

strip: x86_64-pc-linux-gnu-strip --strip-unneeded -R .comment
   usr/GNUstep/System/Tools/ddbd
   usr/GNUstep/System/Tools/gmds
   usr/GNUstep/System/Tools/resizer
   usr/GNUstep/System/Tools/wopen
   usr/GNUstep/System/Tools/lsfupdater
   usr/GNUstep/System/Tools/mdfind
   usr/GNUstep/System/Tools/fswatcher
   usr/GNUstep/System/Tools/searchtool
   usr/GNUstep/System/Tools/mdextractor
   usr/GNUstep/System/Applications/MDFinder.app/MDFinder
   usr/GNUstep/System/Applications/GWorkspace.app/GWorkspace
   usr/GNUstep/System/Applications/Recycler.app/Recycler
   usr/GNUstep/System/Library/Frameworks/Operation.framework/Versions/1/libOperation.so.1.0.0
   usr/GNUstep/System/Library/Frameworks/Inspector.framework/Versions/0/libInspector.so.0.1.0
   usr/GNUstep/System/Library/Frameworks/FSNode.framework/Versions/0/libFSNode.so.0.1.0
   usr/GNUstep/System/Library/Frameworks/MDKit.framework/Versions/0/libMDKit.so.0.1.0
   usr/GNUstep/System/Library/Bundles/JpegExtractor.extr/JpegExtractor
   usr/GNUstep/System/Library/Bundles/NSTIFFViewer.inspector/NSTIFFViewer
   usr/GNUstep/System/Library/Bundles/IBViewViewer.inspector/IBViewViewer
   usr/GNUstep/System/Library/Bundles/NSRTFViewer.inspector/NSRTFViewer
   usr/GNUstep/System/Library/Bundles/FolderViewer.inspector/FolderViewer
   usr/GNUstep/System/Library/Bundles/RtfExtractor.extr/RtfExtractor
   usr/GNUstep/System/Library/Bundles/FModuleContents.finder/FModuleContents
   usr/GNUstep/System/Library/Bundles/HtmlExtractor.extr/HtmlExtractor
   usr/GNUstep/System/Library/Bundles/ImageViewer.inspector/ImageViewer
   usr/GNUstep/System/Library/Bundles/AppExtractor.extr/AppExtractor
   usr/GNUstep/System/Library/Bundles/FModuleCrDate.finder/FModuleCrDate
   usr/GNUstep/System/Library/Bundles/XmlExtractor.extr/XmlExtractor
   usr/GNUstep/System/Library/Bundles/OpenOfficeExtractor.extr/OpenOfficeExtractor
   usr/GNUstep/System/Library/Bundles/SoundViewer.inspector/SoundViewer
   usr/GNUstep/System/Library/Bundles/AppViewer.inspector/AppViewer
   usr/GNUstep/System/Library/Bundles/FModuleKind.finder/FModuleKind
   usr/GNUstep/System/Library/Bundles/ImageThumbnailer.thumb/ImageThumbnailer
   usr/GNUstep/System/Library/Bundles/AbiwordExtractor.extr/AbiwordExtractor
   usr/GNUstep/System/Library/Bundles/NSColorViewer.inspector/NSColorViewer
   usr/GNUstep/System/Library/Bundles/FModuleName.finder/FModuleName
   usr/GNUstep/System/Library/Bundles/FModuleOwner.finder/FModuleOwner
   usr/GNUstep/System/Library/Bundles/FModuleSize.finder/FModuleSize
   usr/GNUstep/System/Library/Bundles/RtfViewer.inspector/RtfViewer
   usr/GNUstep/System/Library/Bundles/PdfViewer.inspector/PdfViewer
   usr/GNUstep/System/Library/Bundles/MDIndexing.prefPane/MDIndexing
   usr/GNUstep/System/Library/Bundles/TextExtractor.extr/TextExtractor
   usr/GNUstep/System/Library/Bundles/MDModuleAnnotations.mdm/MDModuleAnnotations
   usr/GNUstep/System/Library/Bundles/FModuleModDate.finder/FModuleModDate
   usr/GNUstep/System/Library/Bundles/FModuleAnnotations.finder/FModuleAnnotations
   usr/GNUstep/System/Library/Bundles/Role.extinfo/Role
   usr/GNUstep/System/Library/Services/thumbnailer.service/thumbnailer
   usr/GNUstep/System/Library/Libraries/libDBKit.so.0.0.1
scanelf: rpath_security_checks(): Security problem with relative DT_RPATH '../../../FSNode/FSNode.framework/Versions/Current/.:../../../DBKit/./obj' in /var/tmp/portage/gnustep-apps/gworkspace-0.8.6/image/usr/GNUstep/System/Tools/mdfind
scanelf: rpath_security_checks(): Security problem with relative DT_RPATH '../../../DBKit/./obj' in /var/tmp/portage/gnustep-apps/gworkspace-0.8.6/image/usr/GNUstep/System/Tools/mdfind
scanelf: rpath_security_checks(): Security problem with relative DT_RUNPATH '../../../FSNode/FSNode.framework/Versions/Current/.:../../../DBKit/./obj' in /var/tmp/portage/gnustep-apps/gworkspace-0.8.6/image/usr/GNUstep/System/Tools/mdfind
scanelf: rpath_security_checks(): Security problem with relative DT_RUNPATH '../../../DBKit/./obj' in /var/tmp/portage/gnustep-apps/gworkspace-0.8.6/image/usr/GNUstep/System/Tools/mdfind
scanelf: rpath_security_checks(): Security problem with relative DT_RPATH '../../../FSNode/FSNode.framework/Versions/Current/.' in /var/tmp/portage/gnustep-apps/gworkspace-0.8.6/image/usr/GNUstep/System/Tools/mdextractor
scanelf: rpath_security_checks(): Security problem with relative DT_RUNPATH '../../../FSNode/FSNode.framework/Versions/Current/.' in /var/tmp/portage/gnustep-apps/gworkspace-0.8.6/image/usr/GNUstep/System/Tools/mdextractor
scanelf: rpath_security_checks(): Security problem with relative DT_RPATH '../../DBKit/./obj' in /var/tmp/portage/gnustep-apps/gworkspace-0.8.6/image/usr/GNUstep/System/Applications/MDFinder.app/MDFinder
scanelf: rpath_security_checks(): Security problem with relative DT_RUNPATH '../../DBKit/./obj' in /var/tmp/portage/gnustep-apps/gworkspace-0.8.6/image/usr/GNUstep/System/Applications/MDFinder.app/MDFinder
* checking 661 files for package collisions
>>> Merging gnustep-apps/gworkspace-0.8.6 to /
Comment 9 Steve Dibb (RETIRED) gentoo-dev 2007-11-16 15:49:40 UTC
Portage 2.1.3.19 (default-linux/amd64/2007.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.22-suspend2 x86_64)
=================================================================
System uname: 2.6.22-suspend2 x86_64 AMD Athlon(tm) 64 Processor 3000+
Timestamp of tree: Wed, 14 Nov 2007 03:00:01 +0000
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p17
dev-java/java-config: 1.3.7, 2.0.33-r1
dev-lang/python:     2.4.4-r6
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.9-r2
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17-r1
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.21
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=athlon64"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /usr/spool/PBS"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=athlon64"
DISTDIR="/var/distfiles"
FEATURES="collision-protect distlocks metadata-transfer multilib-strict parallel-fetch sandbox sfperms strict test unmerge-orphans userfetch"
GENTOO_MIRRORS="http://open-systems.ufl.edu/mirrors/gentoo http://gentoo.cites.uiuc.edu/pub/gentoo/ http://gentoo.mirrors.tds.net/gentoo ftp://gentoo.netnitco.net/pub/mirrors/gentoo/source/"
LINGUAS="en"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /root/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acl alsa amd64 ao apache2 berkdb bitmap-fonts bluetooth bzip2 cdb cddb cdparanoia chardet cli cracklib crypt cups curl dbus dri dts dvd dvdr dvdread encode fam fastcgi ffmpeg firefox flac foomaticdb fortran gd gdbm gif gnome gpm gtk hal iconv id3 immqt-bc ipv6 isdnlog java jpeg kde lame libwww live lm_sensors logrotate lua lzo mad memcache midi mikmod mmx mmxext mng modplug mp3 mpeg mpi mudflap musepack ncurses nls nptl nptlonly nsplugin ogg opengl openmp oss pam pango pcre perl png pppd python qt3 qt4 quicktime readline recode reflection replaygain ruby sasl scanner sdl seamonkey session sndfile snmp source speex spell spl sqlite sqlite3 sse sse2 ssl svg syslog tcl tcpd test theora tiff tk truetype truetype-fonts type1-fonts unicode usb vorbis webdav x264 xine xml xorg xscreensaver xv xvid zlib" ALSA_CARDS="cmi8788" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" USERLAND="GNU" VIDEO_CARDS="nv"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 10 Bernard Cafarelli gentoo-dev 2007-11-16 17:19:11 UTC
Should be fixed now, I did not update the patch for -rpath. Thanks for spotting it!
Comment 11 Samuli Suominen gentoo-dev 2007-11-24 22:36:12 UTC
(In reply to comment #10)
> Should be fixed now, I did not update the patch for -rpath. Thanks for spotting
> it!
> 

Yep, it's fixed, thanks ^^

amd64 stable
Comment 12 Raúl Porcel (RETIRED) gentoo-dev 2007-12-06 12:16:08 UTC
sparc stable, closing, i hope i did it right :)